Bug 864074 - race causes dpms to enter inconsistent state
race causes dpms to enter inconsistent state
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libX11 (Show other bugs)
16
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-08 10:02 EDT by Oliver Henshaw
Modified: 2014-06-18 05:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 17:19:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oliver Henshaw 2012-10-08 10:02:58 EDT
Description of problem:

While debugging.a kde powerdevil problem I discovered a way to confuse X11 into thinking that the screen is off when it's really on. This seems to be a race between XForceScreenSaver (called via dbus) and DPMSForceLevel.


How reproducible:

$ xset dpms force off;  qdbus org.freedesktop.ScreenSaver /ScreenSaver org.freedesktop.ScreenSaver.SimulateUserActivity ; xset -q | tail -4; sleep 5; xset -q | tail -4

DPMS (Energy Star):
  Standby: 480    Suspend: 720    Off: 960
  DPMS is Enabled
  Monitor is Off
DPMS (Energy Star):
  Standby: 480    Suspend: 720    Off: 960
  DPMS is Enabled
  Monitor is Off

But the screen is on (it blanked and then came back on after a second or so - normally it would blank and turn itself off after a few seconds). Furthermore the screen doesn't turn off after the DPMS Standby time


From kde-workspace/krunner/screensaver/saverengine.cpp:

void SaverEngine::SimulateUserActivity()
{
    XForceScreenSaver( QX11Info::display(), ScreenSaverReset );
    if ( mXAutoLock && mState == Waiting )
    {
        mXAutoLock->resetTrigger();
    }
    else if (mLockProcess)
    {
        ::kill(mLockProcess->pid(), SIGUSR1);
    }
}



Version-Release number of selected component (if applicable):

kde-workspace-4.8.5-2.4.fc16.x86_64
libX11-1.4.3-1.fc16.x86_64
libXext-1.3.0-1.fc16.x86_64
xorg-x11-server-utils-7.5-7.fc16.x86_64
xorg-x11-drv-ati-6.14.3-4.20120201git36c190671.fc16.x86_64
Comment 1 Oliver Henshaw 2012-10-08 11:27:50 EDT
I can reproduce this on two amd graphics desktops but not on an nvidia-powered laptop (albeit with different package versions on each desktop and the F17 live image on the laptop).

'lspci | grep VGA':
01:05.0 VGA compatible controller: ATI Technologies Inc RS880 [Radeon HD 4290]
00:01.0 VGA compatible controller: ATI Technologies Inc AMD Radeon HD 6310 GraphicsATI

01:00.0 VGA compatible controller: nVidia Corporation G73 [GeForce Go 7600] (rev a1)
Comment 2 Fedora End Of Life 2013-01-16 12:31:54 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2013-02-13 17:19:27 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.